%{!?upstream_version: %global upstream_version %{commit}}
%define upstream_name puppet-elasticsearch
%global commit 8b247b2ce0dbb2df6749de62eab70255f94a33b0
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git


Name:           puppet-elasticsearch
Version:        0.14.0
Release:        2%{?alphatag}%{?dist}
Summary:        Module for managing and configuring Elasticsearch nodes
License:        Apache-2.0

URL:            https://github.com/elastic/puppet-elasticsearch

Source0:        https://github.com/elastic/%{upstream_name}/archive/%{commit}.tar.gz#/%{upstream_name}-%{shortcommit}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=8b247b2ce0dbb2df6749de62eab70255f94a33b0
Patch0001: 0001-Initialize-empty-changelog-for-post-0.14.0.patch
Patch0002: 0002-Fix-gem-dependencies-for-xenial-support-in-beaker.patch
Patch0003: 0003-tests-move-to-1.7-in-version-tests-rather-than-outda.patch
Patch0004: 0004-test-remove-supoerfluous-pry-require-in-acceptance-s.patch
Patch0005: 0005-tests-provide-optional-skip_puppet_install-config-op.patch
Patch0006: 0006-tests-add-nodeset-definition-for-ubuntu-xenial.patch
Patch0007: 0007-Test-xenial-in-travis.patch
Patch0008: 0008-tests-update-pid-check-for-systemd-based-ubuntu-rele.patch
Patch0009: 0009-Update-support-matrix-to-declare-support-for-Ubuntu-.patch
Patch0010: 0010-docs-add-xenial-support-notes.patch
Patch0011: 0011-Update-the-apt-source-call-to-not-cause-deprecation-.patch
Patch0012: 0012-Update-changelog.patch
Patch0013: 0013-Update-version-requirement-for-puppetlabs-apt.patch
Patch0014: 0014-testing-update-gpg-key-source-tests-for-2.0-apt-modu.patch
Patch0015: 0015-testing-punt-on-some-shield-relationship-tests-pendi.patch
Patch0016: 0016-Support-5.x-repository-styles-when-managing-yum-apt-.patch
Patch0017: 0017-Add-changelog-note-regarding-5.x-repo-support.patch
Patch0018: 0018-Set-artifact-variables-only-if-ensuring-present-on-r.patch
Patch0019: 0019-Handle-repositories-correctly-in-the-absent-case-for.patch
Patch0020: 0020-testing-clean-up-xenial-nodeset.patch
Patch0021: 0021-Fix-dependency-on-stdlib-for-validate_integer-functi.patch
Patch0022: 0022-Let-ubuntu-12.04-fail-for-now-slowness-issues-only.patch
Patch0023: 0023-Working-systemd-implementation-of-provider-based-5.x.patch
Patch0024: 0024-Define-a-default-DATA_DIR-req-d-for-running-5.x-serv.patch
Patch0025: 0025-Fix-service-file-provider-on-older-puppet-ruby-versi.patch
Patch0026: 0026-Implement-rewritten-service-file-paradigm-for-other-.patch
Patch0027: 0027-Implement-flags-for-Debin-and-Redhat-sysv-init-scrip.patch
Patch0028: 0028-Fix-es-version-detection-on-apt-based-distributions.patch
Patch0029: 0029-testing-update-default-test-checks-for-5.x-DATA_DIR-.patch
Patch0030: 0030-testing-get-full-code-coverage-for-elasticsearch_ser.patch
Patch0031: 0031-testing-add-test-for-yum-versionlock-resource-on-5.x.patch
Patch0032: 0032-testing-boyscouting-on-init-service-def-tests.patch
Patch0033: 0033-Remove-unused-list-type-for-package-to-fix-native-se.patch
Patch0034: 0034-Represent-service-scripts-as-checksums-not-full-stri.patch
Patch0035: 0035-Elasticsearch-5.x-service-script-changelog-notes.patch
Patch0036: 0036-Fix-docstring-on-elasticsearch_service_file-type.patch
Patch0037: 0037-Fix-service-scripts-for-all-other-distros.patch
Patch0038: 0038-testing-force-ubuntu-16.04-to-update-the-apt-cache-b.patch

BuildArch:      noarch

Requires:       puppet-stdlib
#Requires:       puppet-apt
#Requires:       puppet-yum
Requires:       puppet-datacat
Requires:       puppet >= 2.7.0

%description
Module for managing and configuring Elasticsearch nodes

%prep
%setup -q -n %{name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1
%patch0035 -p1
%patch0036 -p1
%patch0037 -p1
%patch0038 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/elasticsearch/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/elasticsearch/



%files
%{_datadir}/openstack-puppet/modules/elasticsearch/


%changelog
* Tue Jan 23 2018 Steve Linabery <slinaber@redhat.com> 0.14.0-2.a28ccb5git
- testing: force ubuntu 16.04 to update the apt cache before testing
- Fix service scripts for all other distros
- Fix docstring on elasticsearch_service_file type
- Elasticsearch 5.x service script changelog notes
- Represent service scripts as checksums, not full strings in puppet logs
- Remove unused list type for $package to fix native service files on PE
- testing: boyscouting on init/service def tests
- testing: add test for yum versionlock resource on 5.x
- testing: get full code coverage for elasticsearch_service_file resources
- testing: update default test checks for 5.x DATA_DIR changes
- Fix es version detection on apt-based distributions
- Implement flags for Debin and Redhat sysv init scripts
- Implement rewritten service file paradigm for other init systems
- Fix service file provider on older puppet/ruby versions
- Define a default DATA_DIR (req'd for running 5.x services)
- Working systemd implementation of provider-based 5.x-aware service templating
- Let ubuntu 12.04 fail for now, slowness issues only.
- Fix dependency on stdlib for validate_integer() function
- testing: clean up xenial nodeset
- Handle repositories correctly in the absent case for apt/yum
- Set artifact variables only if ensuring present on repo sources
- Add changelog note regarding 5.x repo support
- Support 5.x repository styles when managing yum/apt repos
- testing: punt on some shield relationship tests pending upstream fixes
- testing: update gpg key/source tests for >= 2.0 apt module usage
- Update version requirement for puppetlabs/apt
- Update changelog
- Update the apt::source call to not cause deprecation warnings
- docs: add xenial support notes
- Update support matrix to declare support for Ubuntu 16.04 xenial
- tests: update pid check for systemd-based ubuntu releases
- Test xenial in travis
- tests: add nodeset definition for ubuntu xenial
- tests: provide optional skip_puppet_install config option for hosts
- test: remove supoerfluous pry require in acceptance setup
- tests: move to 1.7 in version tests rather than outdated 1.4
- Fix gem dependencies for xenial support in beaker
- Initialize empty changelog for post-0.14.0

* Thu Nov 03 2016 Jon Schlueter <jschluet@redhat.com> 0.14.0-1
- Update to 0.14.0 (8b247b2ce0dbb2df6749de62eab70255f94a33b0)

* Fri Sep 23 2016 Haikel Guemar <hguemar@fedoraproject.org> - 0.13.2-1.a93350b.git
- Newton update 0.13.2 (a93350b4b13ad5c8f795c67a3ca3046a88cdf25a)


